diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/include/m_info.h ircd-hybrid-6.0/include/m_info.h
--- ircd-hybrid-6.0.orig/include/m_info.h	Fri Nov 24 10:51:13 2000
+++ ircd-hybrid-6.0/include/m_info.h	Sun Feb 18 17:19:33 2001
@@ -297,9 +297,9 @@
 #endif /* ANTI_SPAMBOT */
 
 #ifdef JUPE_CHANNEL
-  { "JUPE_CHANNEL", "ON", 0, "Locally jupe channels" },
+  { "JUPE_CHANNEL", "ON", 0, "Jupe channels" },
 #else
-  { "JUPE_CHANNEL", "OFF", 0, "Locally jupe channels" },
+  { "JUPE_CHANNEL", "OFF", 0, "Jupe channels" },
 #endif /* JUPE_CHANNEL */
 
 #ifdef K_LINES_OPER_ONLY
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/channel.c ircd-hybrid-6.0/src/channel.c
--- ircd-hybrid-6.0.orig/src/channel.c	Sun Feb 18 17:19:57 2001
+++ ircd-hybrid-6.0/src/channel.c	Sun Feb 18 17:19:33 2001
@@ -839,6 +839,10 @@
     *mbuf++ = 'i';
   if (chptr->mode.mode & MODE_NOPRIVMSGS)
     *mbuf++ = 'n';
+#ifdef JUPE_CHANNEL
+  if (chptr->mode.mode & MODE_JUPED)
+    *mbuf++ = 'j';
+#endif
   if (chptr->mode.limit)
     {
       *mbuf++ = 'l';
@@ -1917,19 +1921,27 @@
           /* Un documented for now , I have no idea how this got here ;-) */
 #ifdef JUPE_CHANNEL
         case 'j':
-          if(MyConnect(sptr) && IsAnOper(sptr))
+          if(IsAnOper(sptr))
             {
               if (whatt == MODE_ADD)
                 {
                   chptr->mode.mode |= MODE_JUPED;
-                  sendto_realops("%s!%s@%s locally juping channel %s",
+		  *mbufw++ = '+';
+		  *mbufw++ = 'j';
+                  len += 2;
+
+                  sendto_realops("%s!%s@%s juping channel %s",
                                  sptr->name, sptr->username,
                                  sptr->host, chptr->chname);
                 }
               else if(whatt == MODE_DEL)
                 {
                   chptr->mode.mode &= ~MODE_JUPED;
-                  sendto_realops("%s!%s@%s locally unjuping channel %s",
+		  *mbufw++ = '-';
+		  *mbufw++ = 'j';
+                  len += 2;
+
+                  sendto_realops("%s!%s@%s unjuping channel %s",
                                  sptr->name, sptr->username,
                                  sptr->host, chptr->chname);
                 }
@@ -2256,7 +2268,7 @@
   if( chptr->mode.mode & MODE_JUPED )
     {
       sendto_ops_flags(FLAGS_SPY,
-             "User %s (%s@%s) is attempting to join locally juped channel %s",
+             "User %s (%s@%s) is attempting to join juped channel %s",
                      sptr->name,
                      sptr->username, sptr->host,chptr->chname);
       return (ERR_BADCHANNAME);
@@ -4276,6 +4288,11 @@
       case 'i':
         mode.mode |= MODE_INVITEONLY;
         break;
+#ifdef JUPE_CHANNEL
+      case 'j':
+        mode.mode |= MODE_JUPED;
+        break;
+#endif
       case 'n':
         mode.mode |= MODE_NOPRIVMSGS;
         break;
@@ -4473,6 +4490,17 @@
         }
       *mbuf++ = 'n';
     }
+#ifdef JUPE_CHANNEL
+  if((MODE_JUPED & mode.mode) && !(MODE_JUPED & oldmode->mode))
+    {
+      if (what != 1)
+        {
+          *mbuf++ = '+';
+          what = 1;
+        }
+      *mbuf++ = 'j';
+    }
+#endif
   if((MODE_TOPICLIMIT & mode.mode) && !(MODE_TOPICLIMIT & oldmode->mode))
     {
       if (what != 1)
@@ -4533,6 +4561,17 @@
         }
       *mbuf++ = 'n';
     }
+#ifdef JUPE_CHANNEL
+  if((MODE_JUPED & oldmode->mode) && !(MODE_JUPED & mode.mode))
+    {
+      if (what != -1)
+        {
+          *mbuf++ = '-';
+          what = -1;
+        }
+      *mbuf++ = 'j';
+    }
+#endif
   if((MODE_TOPICLIMIT & oldmode->mode) && !(MODE_TOPICLIMIT & mode.mode))
     {
       if (what != -1)
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_services.c ircd-hybrid-6.0/src/m_services.c
